I had Xubuuntu 16.04LTS; did 'sudo apt-get upgrade'; it release-upgraded to 18.04! package redis-server 5:4.0.9-1 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

Bug #1774465 reported by alfy on 2018-05-31
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
redis (Ubuntu)
Undecided
Unassigned

Bug Description

I did start a 'do-release-upgrade' last week; in the middle of it, well, soon after it started, I stopped it, hitting '^C'; that's I think the cause of the mess; today an automatic check of sources found something wrong and warned me with the panel gadget exclamation mark; forgetful and unaware of the mess I unleashed, I went then to do 'apt-get update' and 'apt-get upgrade'; I was presented with a 1.1GB of stuff, and installed it; in the meantime at the start of the huge upgrade, well,shortly before, another pop-up window, from the software updater, telling me something was wrong; and it was the cause for this 'bug' report; clearly the redis upgrade noticed something wrong, and broke; or stopped working; I went on with the full upgrade, but still now I have broken programs... that's it; I don't think is a bug; sorry for this, has been my exclusive fault.
I post this here only because of the automatic bug report actions that brought me here directly.
apologies for this distraction.

ProblemType: Package
DistroRelease: Ubuntu 18.04
Package: redis-server 5:4.0.9-1
ProcVersionSignature: Ubuntu 4.4.0-127.153-generic 4.4.128
Uname: Linux 4.4.0-127-generic i686
ApportVersion: 2.20.1-0ubuntu2.17
Architecture: i386
Date: Thu May 31 17:10:55 2018
ErrorMessage: subprocess installed post-installation script returned error exit status 1
InstallationDate: Installed on 2017-02-18 (467 days ago)
InstallationMedia: Xubuntu 16.04 LTS "Xenial Xerus" - Release i386 (20160420.1)
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.4
 apt 1.2.26
SourcePackage: redis
Title: package redis-server 5:4.0.9-1 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1
UpgradeStatus: Upgraded to bionic on 2018-05-23 (8 days ago)

alfy (nachiketa) wrote :
tags: removed: need-duplicate-check
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers